UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
com.latencybusters.lbm.UMQSourceEventMessageIdInfo Class Reference

This class encapsulates information about a message sent to a queue. An object of type UMQSourceEventMessageIdInfo will be delivered with a source event of type LBM.SRC_EVENT_UMQ_MESSAGE_ID_INFO to notify the application of the message id that has been assigned to the message by the queue. More...

## Public Member Functions
| UMQSourceEventMessageIdInfo (int flags, UMQMessageId msgId, Object clientObject)
| Creates a UMQSourceEventMessageIdInfo object and initializes fields to the supplied values. More...
int | flags ()
| Get informational flags for this info object. More...
virtual UMQMessageId | messageId ()
| Get the message Id object identifying the message. More...
Object | clientObject ()
| Get the client object provided when the message was sent. More...

## Detailed Description

This class encapsulates information about a message sent to a queue. An object of type UMQSourceEventMessageIdInfo will be delivered with a source event of type LBM.SRC_EVENT_UMQ_MESSAGE_ID_INFO to notify the application of the message id that has been assigned to the message by the queue.

## Constructor & Destructor Documentation

com.latencybusters.lbm.UMQSourceEventMessageIdInfo.UMQSourceEventMessageIdInfo | ( | int | flags,
|  | UMQMessageId | msgId,
|  | Object | clientObject
| ) |  |

Creates a UMQSourceEventMessageIdInfo object and initializes fields to the supplied values.

LBMEInvalException An invalid parameter was specified.

## Member Function Documentation

Object com.latencybusters.lbm.UMQSourceEventMessageIdInfo.clientObject | ( |  | ) |

Get the client object provided when the message was sent.

UME 3.0

Returns
  The object provided when sending the message associated with this message info.

int com.latencybusters.lbm.UMQSourceEventMessageIdInfo.flags | ( |  | ) |

Get informational flags for this info object.

Returns
  Flags.

virtual UMQMessageId com.latencybusters.lbm.UMQSourceEventMessageIdInfo.messageId | ( |  | ) |
| virtual

Get the message Id object identifying the message.

Returns
  A UMQMessageId object identifying the message.

The documentation for this class was generated from the following file:

- UMQSourceEventMessageIdInfo.cs